Skip to content

Attach Floating IPv4 / Attach Floating IP to Node(s)

PUT
/api/v1/reserve_ips/floating-ip/attach/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/floating-ip/attach/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '"{\n \"ip_address\": {{floating_ip}},\n \"node_ids\": [\n {{node_id}}\n ]\n}"'

Attach Floating IPv4 and Attach Floating IP to Node(s) share this request; the body you send decides which one runs.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the target location for attaching the floating IPv4 address.

Example

<LOCATION>
Media typeapplication/json
One of:

JSON payload to attach a floating IPv4 address to one or more nodes

string

Example

{
"ip_address": {{floating_ip}},
"node_ids": [
{{node_id}}
]
}

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the attach operation

integer
data
object
ip_address

IPv4 address of the attached floating IP

string
node_ids
Array<integer>
errors
object
message

Human-readable status message indicating the result of the attach operation.

string

Example

{
"code": 200,
"data": {
"ip_address": "1.2.3.4",
"node_ids": [
123456
]
},
"message": "Floating IP is attached successfully."
}